local SPELL_MIND_FREEZE = "47528"
local SPELL_BONE_SHIELD = "49222"
local SPELL_DANCING_RUNE_WEAPON = "49028"
local SPELL_RUNE_TAP = "48982"
local SPELL_CONVERSION = "119975"
local SPELL_DEATH_STRIKE = "49998"
local SPELL_PLAGUE_LEECH = "123693"
local SPELL_BLOOD_TAP = "45529"
local SPELL_BLOOD_SHIELD = "77535"
local SPELL_EMPOWER_RUNE_WEAPON = "47568"
local SPELL_RUNE_STRIKE = "56815"
local SPELL_OUTBREAK = "77575"
local SPELL_ICY_TOUCH = "45477"
local SPELL_PLAGUE_STRIKE = "45462"
local SPELL_BLOOD_BOIL = "48721"
local SPELL_BLOOD_PLAGUE = "55078"
local SPELL_FROST_FEVER = "55095"
local SPELL_HORN_OF_WINTER = "57330"
local SPELL_HEART_STRIKE = "55050"
local SPELL_CRIMSON_SCOURGE = '81136'

local BUFF_BLOOD_CHARGE = "114851"
local DEBUFF_FROST_FEVER = "59921"
local DEBUFF_BLOOD_PLAGUE = "59879"

WhatsNext.defaultCastSequences["DEATHKNIGHT"][1] = {
	{	spell=SPELL_MIND_FREEZE,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Target Is Interruptable',['invert']=false,},
		}
	},
	{	spell=SPELL_DEATH_STRIKE,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='In Range',['invert']=false,['spellName']=SPELL_DEATH_STRIKE,},
			{['type']='Player Need Buff From Player',['time']='3',['count']='1',['invert']=false,['buffName']=SPELL_BLOOD_SHIELD,},
		}
	},
	{	spell=SPELL_BONE_SHIELD,
		checks={
			{['type']='Player Buffed',['count']='1',['buffName']=SPELL_BONE_SHIELD,['invert']='true',},
		}
	},
	{	spell=SPELL_DANCING_RUNE_WEAPON,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='In Range',['invert']=false,['spellName']=SPELL_DEATH_STRIKE,},
		}
	},
	{	spell=SPELL_RUNE_TAP,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Maximum Health Percent',['invert']=false,['amount']='0.4',},
		}
	},
	{	spell=SPELL_CONVERSION,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Player Buffed',['buffName']=SPELL_CONVERSION,['invert']=false,['count']='1',},
			{['type']='Maximum Health Percent',['invert']='true',['amount']='0.6',},
		}
	},
	{	spell=SPELL_CONVERSION,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Minimum Power',['invert']=false,['amount']='60',},
			{['type']='Maximum Health Percent',['invert']=false,['amount']='0.3',},
			{['type']='Player Buffed',['count']='1',['buffName']=SPELL_CONVERSION,['invert']='true',},
		}
	},
	{	spell=SPELL_PLAGUE_LEECH,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Rune Type Ready Count',['unholyAmount']='1',['bloodAmount']='0',['invert']='true',['frostAmount']='1',},
			{['type']='Ability Cooldown',['invert']='true',['time']='2',['spellName']=SPELL_OUTBREAK,},
			{['type']='Target Has Debuff From Player',['debuffName']=SPELL_FROST_FEVER,['count']='1',['invert']=false,},
			{['type']='Target Has Debuff From Player',['debuffName']=SPELL_BLOOD_PLAGUE,['count']='1',['invert']=false,},
		}
	},
	{	spell=SPELL_BLOOD_TAP,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Rune Type Ready Count',['unholyAmount']='1',['bloodAmount']='0',['invert']='true',['frostAmount']='1',},
			{['type']='Player Buffed',['buffName']=BUFF_BLOOD_CHARGE,['invert']=false,['count']='5',},
		}
	},
	{	spell=SPELL_EMPOWER_RUNE_WEAPON,
		checks={
			{['type']='Rune Ready Count',['invert']='true',['amount']='1',},
			{['type']='In Combat',['invert']=false,},
		}
	},
	{	spell=SPELL_RUNE_STRIKE,
		checks={
			{['type']='Minimum Power',['invert']=false,['amount']='90',},
			{['type']='In Combat',['invert']=false,},
			{['type']='In Range',['invert']=false,['spellName']=SPELL_DEATH_STRIKE,},
		}
	},
	{	spell=SPELL_OUTBREAK,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='In Range',['invert']=false,['spellName']=SPELL_DEATH_STRIKE,},
			{['type']='Target Need Debuff From Player',['debuffName']=SPELL_FROST_FEVER,['count']='1',['invert']=false,['time']='2',},
			{['type']='Target Need Debuff From Player',['debuffName']=SPELL_BLOOD_PLAGUE,['count']='1',['invert']=false,['time']='2',},
		}
	},
	{	spell=SPELL_ICY_TOUCH,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='In Range',['invert']=false,['spellName']=SPELL_DEATH_STRIKE,},
			{['type']='Target Has Debuff From Player',['debuffName']=SPELL_FROST_FEVER,['count']='1',['invert']='true',},
			{['type']='Ability Cooldown',['invert']=false,['time']='3',['spellName']=SPELL_OUTBREAK,},
		}
	},
	{	spell=SPELL_PLAGUE_STRIKE,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='In Range',['invert']=false,['spellName']=SPELL_DEATH_STRIKE,},
			{['type']='Ability Cooldown',['invert']=false,['time']='3',['spellName']=SPELL_OUTBREAK,},
			{['type']='Target Has Debuff From Player',['debuffName']=SPELL_BLOOD_PLAGUE,['count']='1',['invert']='true',},
		}
	},
	{	spell=SPELL_BLOOD_BOIL,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='In Range',['invert']=false,['spellName']=SPELL_DEATH_STRIKE,},
			{['type']='Player Buffed',['invert']=false,['count']='1',['buffName']=SPELL_CRIMSON_SCOURGE,},
		}
	},
	{	spell=SPELL_BLOOD_BOIL,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='In Range',['invert']=false,['spellName']=SPELL_DEATH_STRIKE,},
			{['type']='Minimum Enemy Count',['invert']=false,['amount']='2',},
			{['type']='Blood Rune Simple Ready Count',['invert']=false,['amount']='1',},
		}
	},
	{	spell=SPELL_BLOOD_BOIL,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='In Range',['invert']=false,['spellName']=SPELL_DEATH_STRIKE,},
			{['type']='Minimum Enemy Count',['invert']=false,['amount']='2',},
			{['type']='Rune Type Ready Count',['unholyAmount']='1',['bloodAmount']='1',['invert']=false,['frostAmount']='1',},
		}
	},
	{	spell=SPELL_HEART_STRIKE,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='In Range',['invert']=false,['spellName']=SPELL_DEATH_STRIKE,},
			{['type']='Blood Rune Simple Ready Count',['invert']=false,['amount']='1',},
		}
	},
	{	spell=SPELL_HEART_STRIKE,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='In Range',['invert']=false,['spellName']=SPELL_DEATH_STRIKE,},
			{['type']='Rune Type Ready Count',['unholyAmount']='1',['bloodAmount']='1',['invert']=false,['frostAmount']='1',},
		}
	},
	{	spell=SPELL_HORN_OF_WINTER,
		checks={
			{['type']='Player Buffed',['buffName']=SPELL_HORN_OF_WINTER,['invert']='true',['count']='1',},
		}
	},
	{	spell=SPELL_HORN_OF_WINTER,
		checks={
			{['type']='In Combat',['invert']=false,},
			{['type']='Maximum Power',['invert']=false,['amount']='90',},
		}
	},
}
	